Bug 1471079 - [abrt] ibus: strlen(): ibus-ui-gtk3 killed by signal 11
[abrt] ibus: strlen(): ibus-ui-gtk3 killed by signal 11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:e6916bdf47444903a0143d88af4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-14 07:14 EDT by mithrial
Modified: 2017-07-24 15:22 EDT (History)
6 users (show)

See Also:
Fixed In Version: ibus-1.5.16-4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-24 15:22:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.06 KB, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: cgroup (321 bytes, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: core_backtrace (13.83 KB, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: cpuinfo (1.60 KB, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: dso_list (8.68 KB, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: environ (651 bytes, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: exploitable (100 bytes, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: maps (48.70 KB, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: open_fds (969 bytes, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details
File: var_log_messages (315 bytes, text/plain)
2017-07-14 07:14 EDT, mithrial
no flags Details

  None (edit)
Description mithrial 2017-07-14 07:14:34 EDT
Description of problem:
I pressed Ctrl+Shift+e, a very small grey window opened but it has no components inside. Either after a few seconds or after I pressed Enter, it crashed.

Version-Release number of selected component:
ibus-1.5.16-3.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-gtk3
crash_function: strlen
executable:     /usr/libexec/ibus-ui-gtk3
journald_cursor: s=d1c95d74d39242bab52032ee2a9fe970;i=5ade4;b=73922ba4b3fa4357aa3430c30d017b74;m=6c99b231;t=5544514005dfd;x=611c646f4623bc1a
kernel:         4.11.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 ibus_emojier_key_press_escape at emojier.c:4617
 #2 ibus_emojier_real_key_press_event at emojier.c:5142
 #3 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:143
 #4 _g_closure_invoke_va at gclosure.c:867
 #7 gtk_widget_event_internal at gtkwidget.c:7723
 #8 propagate_event at gtkmain.c:2661
 #9 gtk_main_do_event at gtkmain.c:1901
 #10 _gdk_event_emit at gdkevents.c:73
 #16 ibus_emojier_run at emojier.c:5070
Comment 1 mithrial 2017-07-14 07:14:40 EDT
Created attachment 1298265 [details]
File: backtrace
Comment 2 mithrial 2017-07-14 07:14:41 EDT
Created attachment 1298266 [details]
File: cgroup
Comment 3 mithrial 2017-07-14 07:14:43 EDT
Created attachment 1298267 [details]
File: core_backtrace
Comment 4 mithrial 2017-07-14 07:14:44 EDT
Created attachment 1298268 [details]
File: cpuinfo
Comment 5 mithrial 2017-07-14 07:14:46 EDT
Created attachment 1298269 [details]
File: dso_list
Comment 6 mithrial 2017-07-14 07:14:47 EDT
Created attachment 1298270 [details]
File: environ
Comment 7 mithrial 2017-07-14 07:14:49 EDT
Created attachment 1298271 [details]
File: exploitable
Comment 8 mithrial 2017-07-14 07:14:50 EDT
Created attachment 1298272 [details]
File: limits
Comment 9 mithrial 2017-07-14 07:14:52 EDT
Created attachment 1298273 [details]
File: maps
Comment 10 mithrial 2017-07-14 07:14:54 EDT
Created attachment 1298274 [details]
File: open_fds
Comment 11 mithrial 2017-07-14 07:14:55 EDT
Created attachment 1298275 [details]
File: proc_pid_status
Comment 12 mithrial 2017-07-14 07:14:57 EDT
Created attachment 1298276 [details]
File: var_log_messages
Comment 13 fujiwara 2017-07-17 23:55:38 EDT
Which desktop do you use? XFCE?

Do you see any warnings from terminal?
% ps -ef | grep ibus-ui-gtk3
foo  1429  4110  0 12:05 pts/3    00:00:02 /usr/libexec/ibus-ui-gtk3
% kill 1429
% /usr/libexec/ibus-ui-gtk3


(In reply to mithrial from comment #0)
> I pressed Ctrl+Shift+e, a very small grey window opened but it has no
> components inside.

Can you attach a screenshot?
Comment 14 mithrial 2017-07-18 05:50:26 EDT
It is XFCE, yes.

Here is screenshot of the small window
https://i.imgur.com/s77Xrb4.png

I can resize it, but it has no contents.
https://i.imgur.com/0flI7iw.png
Comment 15 mithrial 2017-07-18 06:06:23 EDT
(In reply to fujiwara from comment #13)
> Do you see any warnings from terminal?

When I start `ibus-daemon -r -v` it prints:

(ibus-ui-gtk3:14544): IBUS-WARNING **: panel.vala:274: If you launch KDE5 on xterm, export XDG_CURRENT_DESKTOP=KDE before launch KDE5.

(ibus-ui-gtk3:14544): IBUS-WARNING **: ibus_bus_call_sync: org.freedesktop.DBus.Properties.Get: GDBus.Error:org.freedesktop.DBus.Error.Failed: No global engine.


And then, when I Ctrl+Shift+e, the following is printed:

(ibus-ui-gtk3:14544): IBUS-WARNING **: emojier.vala:397: Failed css_provider_from_data: <data>:1:64Expected ')' in color definition

(ibus-ui-gtk3:14544): Gtk-CRITICAL **: gtk_entry_set_text: assertion 'GTK_IS_ENTRY (entry)' failed

(ibus-ui-gtk3:14544): Gtk-CRITICAL **: gtk_container_foreach: assertion 'GTK_IS_CONTAINER (container)' failed

(ibus-ui-gtk3:14544): IBUS-CRITICAL **: ibus_emojier_etitle_label_box_set_lang_label: assertion 'self != NULL' failed

(ibus-ui-gtk3:14544): Gtk-CRITICAL **: gtk_container_add: assertion 'GTK_IS_CONTAINER (container)' failed

(ibus-ui-gtk3:14544): Gtk-CRITICAL **: gtk_entry_set_activates_default: assertion 'GTK_IS_ENTRY (entry)' failed

(ibus-ui-gtk3:14544): Gtk-CRITICAL **: gtk_entry_get_text: assertion 'GTK_IS_ENTRY (entry)' failed
Comment 16 fujiwara 2017-07-19 01:44:08 EDT
(In reply to mithrial from comment #15)
> And then, when I Ctrl+Shift+e, the following is printed:
> 
> (ibus-ui-gtk3:14544): IBUS-WARNING **: emojier.vala:397: Failed
> css_provider_from_data: <data>:1:64Expected ')' in color definition
> 

Thank you.
It seems the data is broken but it should not happen.
Maybe some memory leaks or buffer overflows cause your problem.

I cannot reproduce your problem and get any root causes but I fixed some memory leaks with valgrind:
https://codereview.appspot.com/320700043

Could you try the following RPMs if your problem still happens and get the similar warning messages on a terminal?
https://fujiwara.fedorapeople.org/ibus/20170719/20605391/
Comment 17 mithrial 2017-07-19 05:01:06 EDT
I installed the packages with `dnf install *.rpm`, it succeeded.

Again, I ran `ibus-daemon -r -v` in a console, it immediately printed these warnings:

(ibus-ui-gtk3:25043): IBUS-WARNING **: panel.vala:274: If you launch KDE5 on xterm, export XDG_CURRENT_DESKTOP=KDE before launch KDE5.

(ibus-ui-gtk3:25043): IBUS-WARNING **: ibus_bus_call_sync: org.freedesktop.DBus.Properties.Get: GDBus.Error:org.freedesktop.DBus.Error.Failed: No global engine.


Then, when pressing Ctrl+Shift+e, the same window as before opened, the console printed:

(ibus-ui-gtk3:25043): IBUS-WARNING **: emojier.vala:401: Failed css_provider_from_data: <data>:1:64Expected ')' in color definition

(ibus-ui-gtk3:25043): IBUS-WARNING **: emojier.vala:402: data: 255 255 255 1,000000 Noto Color Emoji 16 #IBusEmojierWhiteLabel { background-color: rgba(255, 255, 255, 1,000000); font-family: Noto Color Emoji; font-size: 16pt; border-width: 4px; border-radius: 3px; } #IBusEmojierSelectedLabel { color: rgba(255, 255, 255, 1,000000); font-family: Noto Color Emoji; font-size: 16pt; background-color: rgba(82, 148, 226, 1,000000); border-width: 4px; border-radius: 3px; }#IBusEmojierGoldLabel { color: rgba(255, 255, 255, 1,000000); font-family: Noto Color Emoji; font-size: 16pt; background-color: #b09c5f; border-width: 4px; border-radius: 3px; }

(ibus-ui-gtk3:25043): Gtk-CRITICAL **: gtk_entry_set_text: assertion 'GTK_IS_ENTRY (entry)' failed

(ibus-ui-gtk3:25043): Gtk-CRITICAL **: gtk_container_foreach: assertion 'GTK_IS_CONTAINER (container)' failed

(ibus-ui-gtk3:25043): IBUS-CRITICAL **: ibus_emojier_etitle_label_box_set_lang_label: assertion 'self != NULL' failed

(ibus-ui-gtk3:25043): Gtk-CRITICAL **: gtk_container_add: assertion 'GTK_IS_CONTAINER (container)' failed

(ibus-ui-gtk3:25043): Gtk-CRITICAL **: gtk_entry_set_activates_default: assertion 'GTK_IS_ENTRY (entry)' failed


When I execute `ibus emoji` it shows the empty window and the following messages:
(ibus-ui-emojier:4822): IBUS-WARNING **: emojier.vala:401: Failed css_provider_from_data: <data>:1:64Expected ')' in color definition

(ibus-ui-emojier:4822): IBUS-WARNING **: emojier.vala:402: data: 255 255 255 1,000000 Noto Color Emoji 16 #IBusEmojierWhiteLabel { background-color: rgba(255, 255, 255, 1,000000); font-family: Noto Color Emoji; font-size: 16pt; border-width: 4px; border-radius: 3px; } #IBusEmojierSelectedLabel { color: rgba(255, 255, 255, 1,000000); font-family: Noto Color Emoji; font-size: 16pt; background-color: rgba(82, 148, 226, 1,000000); border-width: 4px; border-radius: 3px; }#IBusEmojierGoldLabel { color: rgba(255, 255, 255, 1,000000); font-family: Noto Color Emoji; font-size: 16pt; background-color: #b09c5f; border-width: 4px; border-radius: 3px; }

(ibus-ui-emojier:4822): Gtk-CRITICAL **: gtk_entry_set_text: assertion 'GTK_IS_ENTRY (entry)' failed

(ibus-ui-emojier:4822): Gtk-CRITICAL **: gtk_container_foreach: assertion 'GTK_IS_CONTAINER (container)' failed

(ibus-ui-emojier:4822): IBUS-CRITICAL **: ibus_emojier_etitle_label_box_set_lang_label: assertion 'self != NULL' failed

(ibus-ui-emojier:4822): Gtk-CRITICAL **: gtk_container_add: assertion 'GTK_IS_CONTAINER (container)' failed

(ibus-ui-emojier:4822): Gtk-CRITICAL **: gtk_entry_set_activates_default: assertion 'GTK_IS_ENTRY (entry)' failed

(ibus-ui-emojier:4822): Gtk-CRITICAL **: gtk_entry_get_text: assertion 'GTK_IS_ENTRY (entry)' failed
Comment 18 fujiwara 2017-07-19 05:38:55 EDT
Thank you.
Probably I understood your problem.

(In reply to mithrial from comment #17)
> (ibus-ui-gtk3:25043): IBUS-WARNING **: emojier.vala:401: Failed
> css_provider_from_data: <data>:1:64Expected ')' in color definition
> 
> (ibus-ui-gtk3:25043): IBUS-WARNING **: emojier.vala:402: data: 255 255 255
> 1,000000 Noto Color Emoji 16 #IBusEmojierWhiteLabel { background-color:
> rgba(255, 255, 255, 1,000000); font-family: Noto Color Emoji; font-size:


Seems your locale shows 1,000000 instead of 1.000000 .

Which locale do you use?

% locale
LANG=ja_JP.UTF-8
LC_CTYPE="ja_JP.UTF-8"
LC_NUMERIC="ja_JP.UTF-8"
LC_TIME="ja_JP.UTF-8"
LC_COLLATE="ja_JP.UTF-8"
LC_MONETARY="ja_JP.UTF-8"
LC_MESSAGES="ja_JP.UTF-8"
LC_PAPER="ja_JP.UTF-8"
LC_NAME="ja_JP.UTF-8"
LC_ADDRESS="ja_JP.UTF-8"
LC_TELEPHONE="ja_JP.UTF-8"
LC_MEASUREMENT="ja_JP.UTF-8"
LC_IDENTIFICATION="ja_JP.UTF-8"
LC_ALL=

% locale -ck decimal_point
LC_NUMERIC
decimal_point="."
Comment 19 mithrial 2017-07-19 06:02:51 EDT
(In reply to fujiwara from comment #18)
> Which locale do you use?

% locale
LANG=de_DE.UTF-8
LC_CTYPE=de_DE.utf8
LC_NUMERIC="de_DE.UTF-8"
LC_TIME="de_DE.UTF-8"
LC_COLLATE="de_DE.UTF-8"
LC_MONETARY="de_DE.UTF-8"
LC_MESSAGES="de_DE.UTF-8"
LC_PAPER="de_DE.UTF-8"
LC_NAME="de_DE.UTF-8"
LC_ADDRESS="de_DE.UTF-8"
LC_TELEPHONE="de_DE.UTF-8"
LC_MEASUREMENT="de_DE.UTF-8"
LC_IDENTIFICATION="de_DE.UTF-8"
LC_ALL=

% locale -ck decimal_point
LC_NUMERIC
decimal_point=","
Comment 20 fujiwara 2017-07-19 23:18:50 EDT
Could you try the following RPMs?
https://fujiwara.fedorapeople.org/ibus/20170719/20620898/
Comment 21 mithrial 2017-07-20 05:20:02 EDT
I installed them with `dnf install *.rpm --allowerasing`. All were installed, the package `ibus-devel.x86_64 1.5.16-3.fc26.debug1` was removed.

I restarted the ibus daemon with `ibus-daemon -r -v`, it printed

(ibus-ui-gtk3:9223): IBUS-WARNING **: panel.vala:274: If you launch KDE5 on xterm, export XDG_CURRENT_DESKTOP=KDE before launch KDE5.

(ibus-ui-gtk3:9223): IBUS-WARNING **: ibus_bus_call_sync: org.freedesktop.DBus.Properties.Get: GDBus.Error:org.freedesktop.DBus.Error.Failed: No global engine.

When I enter Ctrl+Shift+e, a bigger window opens and I can see and choose an emoji but when I click enter or click on the emoji, the window closes and nothing happens. Shouldn't the chosen one be entered into the text field?

The terminal with the ibus daemon doesn't print something. This might be something unrelated.
Comment 22 fujiwara 2017-07-20 06:30:58 EDT
OK, will proceed the patch.

(In reply to mithrial from comment #21)
> When I enter Ctrl+Shift+e, a bigger window opens and I can see and choose an
> emoji but when I click enter or click on the emoji, the window closes and
> nothing happens. Shouldn't the chosen one be entered into the text field?

You have to focus on an input context likes a text entry before launch the emoji dialog.

If you run ibus-daemon by manual, an input context already has a focus before ibus-daemon runs and then ibus-daemon does not receive any focus changes, no ibus engines, the emoji dialog cannot output the string.
So if you run ibus-daemon by manual, you have to focus out the current input context and focus on the input focus again before run the emoji dialog.
Comment 23 Fedora Update System 2017-07-21 00:16:41 EDT
ibus-1.5.16-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f750e975e8
Comment 24 Fedora Update System 2017-07-23 05:58:33 EDT
ibus-1.5.16-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f750e975e8
Comment 25 Fedora Update System 2017-07-24 15:22:30 EDT
ibus-1.5.16-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.